CURLINFO_OS_ERRNO(3)

NAME
CURLINFO_OS_ERRNO - get errno number from last connect failure

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_OS_ERRNO, long *errnop);

DESCRIPTION
Pass a pointer to a long to receive the errno variable from a connect failure. Note that the value is only set on failure, it is not reset upon a successful operation. The number is OS and system specific.

PROTOCOLS
All

EXAMPLE
TODO

AVAILABILITY
Added in 7.12.2

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
curl_easy_getinfo(3), curl_easy_setopt(3),